org.gnome.gtk

## Interface Clipboard.OwnerChange

- Enclosing class:
    Clipboard

      public static interface Clipboard.OwnerChange

  This signal is emitted any time the owner of the Clipboard [contents] changes.

  Somewhat surprisingly, you will get a hit on this every time you call Clipboard's `setText()`. This is because calling that method passes a copy of the String to the X server which takes ownership of the data for passage to other applications.

  That's a behaviour we might like to fix.

  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onOwnerChange(Clipboard source, EventOwnerChange event)`

- - ### Method Detail

    - #### onOwnerChange

          void onOwnerChange(Clipboard source,
                           EventOwnerChange event)